coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/list2609170000

(공통)계약서 목록 조회

KRTW
# 01

요약

(공통)계약서 목록 조회

# 02

상세

API 적용 가능한 구매자 사용자 지역: 한국

현재 설정된 모든 계약의 목록을 조회하기 위한 API로 자유계약기반(NON_CONTRACT_BASED)과 계약기반(CONTRACT_BASED) 타입 계약서 모두 조회 가능합니다.

경로

GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/list

예시 엔드포인트

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/contract/list
# 03

Path 파라미터

NameTypeDescription
vendorId*string
판매자ID
쿠팡에서 업체에게 발급한 고유 코드
예) A00012345
# 04

응답 본문

응답 메시지

NameTypeDescription
codeinteger
서버 응답 코드
messagestring
서버 응답 메세지
httpStatusinteger
HTTP Status Code(서버 응답 코드와 동일한 값)
httpStatusMessagestring
HTTP Status Message (서버 응답 메세지와 동일한 값)
errorMessagestring
HTTP Status 200을 제외한 나머지 Status에서 서버 내 상세한 실패 이유 메세지가 담깁니다.
dataobject
계약서 목록 데이터
success
data.success
boolean
성공 여부
true or false
content
data.content
object[]
계약서 목록
contractId
data.content[].contractId
integer
업체의 계약서 아이디
예) 1, 2
vendorContractId
data.content[].vendorContractId
integer
업체의 계약서 코드(쿠팡 관리 코드)
예) -1, 1, 2
sellerId
data.content[].sellerId
string
판매자ID

예)A00012345
sellerShareRatio
data.content[].sellerShareRatio
integer
해당 계약서에 명시된 업체 분담율(%)
예) 100.0
coupangShareRatio
data.content[].coupangShareRatio
integer
해당 계약서에 명시된 쿠팡 분담율(%)
예) 100.0
gmvRatio
data.content[].gmvRatio
integer
월별 매출 비율, 월별 예산을 쿠팡에서의 매출을 기반으로 자동 생성
예) 100.0
start
data.content[].start
string
시작일시
예) 2018-01-22 00:00:00
end
data.content[].end
string
종료일시
예) 2018-12-31 23:59:59
type
data.content[].type
string
계약 유형
예) CONTRACT_BASED, NON_CONTRACT_BASED
useBudget
data.content[].useBudget
boolean
modifiedAt
data.content[].modifiedAt
string
최종 수정 일시
예) 2017-09-25 11:40:01
modifiedBy
data.content[].modifiedBy
string
최종 수정자ID
pagination
data.pagination
string

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 1,
        "vendorContractId": 2,
        "sellerId": "A00012345",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 10,
        "start": "2017-03-01 00:00:00",
        "end": "2017-12-31 23:59:59",
        "type": "CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2017-09-21 10:57:07",
        "modifiedBy": "pronimance"
      },
      {
        "contractId": 15,
        "vendorContractId": -1,
        "sellerId": "A00013264",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 0,
        "start": "2017-09-25 11:40:01",
        "end": "2999-12-31 23:59:59",
        "type": "NON_CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2017-09-25 11:40:01",
        "modifiedBy": "bcho"
      },
      {
        "contractId": 9962,
        "vendorContractId": 7,
        "sellerId": "A00012345",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 100,
        "start": "2018-01-22 00:00:00",
        "end": "2018-12-31 23:59:59",
        "type": "CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2018-01-22 16:07:10",
        "modifiedBy": "allie"
      }
    ],
    "pagination": null
  }
}
# 05

에러 코드

HTTP코드메시지
400HTTP_400Bad Request

오류 사양

HTTP유형오류 메시지해결 방법
401401 (요청변수확인)

업체정보의 권한을 확인하세요.

판매자ID(vendorId) 값을 올바로 입력했는지 확인합니다.